Skip to content

Convert Reserved IP to Floating IP

POST
/api/v1/reserve_ips/floating-ip/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/reserve_ips/floating-ip/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"ip_address": "164.52.220.9",
"node_ids": [
244981
]
}'
project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Media typeapplication/json
object
ip_address
required
string

Example

164.52.220.9
node_ids
required
Array<integer>

Example

[
244981
]

Reserved IP successfully converted to Floating IP

Media typeapplication/json
object
code
integer
data
object
floating_ip_address
string format: ipv4
errors
object
message
string

Example

{
"code": 200,
"data": {
"floating_ip_address": "163.52.193.52"
},
"errors": {},
"message": "Floating IP conversion completed successfully."
}